List video streams
List video streaming assets for the authenticated workspace.
GET
/
api
/
video
/
streams
List video streams
curl --request GET \
--url https://convertly.sh/api/video/streams \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://convertly.sh/api/video/streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"streams": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"status": "pending",
"protocol": "hls",
"profile": "<string>",
"videoCodec": "h264",
"access": "public",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [
"hls"
],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"kind": "subtitles",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"hasMore": true
}
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Dashboard-generated Convertly API key. Keys currently begin with cvly_.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
pending, processing, ready, failed, deleted Last modified on July 31, 2026
⌘I
List video streams
curl --request GET \
--url https://convertly.sh/api/video/streams \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://convertly.sh/api/video/streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"streams": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbackId": "<string>",
"status": "pending",
"protocol": "hls",
"profile": "<string>",
"videoCodec": "h264",
"access": "public",
"duration": 123,
"width": 123,
"height": 123,
"manifestUrl": "<string>",
"posterUrl": "<string>",
"renditions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"width": 123,
"height": 123,
"bitrate": 123,
"averageBitrate": 123,
"codec": "h264",
"audioCodec": "aac",
"segmentCount": 123
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"packageFormats": [
"hls"
],
"hlsManifestUrl": "<string>",
"dashManifestUrl": "<string>",
"tokenTtlSeconds": 123,
"allowedDomains": [
"<string>"
],
"captions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"language": "<string>",
"kind": "subtitles",
"url": "<string>"
}
],
"analytics": {
"events": 123,
"plays": 123
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"hasMore": true
}
}{
"error": "<string>",
"upgradeUrl": "<string>"
}{
"error": "<string>",
"upgradeUrl": "<string>"
}